Subject: Re: CVS [email-masked]: linux

From: "Maciej W. Rozycki" <[email-masked]>
Date: Tue, 4 Nov 2003 19:48:09 +0100 (CET)

On Mon, 3 Nov 2003 [email-masked] wrote:

> Modified files:
> 	include/asm-mips: i8259.h
>
> Log message:
> 	Declare i8259A_lock spinlock.  New inline function i8259_irq to poll
> 	interrupts in a PC-style daisy-chained i8259 configuration where no
> 	better method to execute an interrupt acknowledge cycle is available.

 This is broken -- you do want to check bit #7 for spurious interrupts
instead of doing awkward PIC poking.  Alternatively, just skip the check
-- the condition is rare and handlers need to be able to deal with it
anyway.  It was discussed a few months ago and I proposed a correct patch
similar to your one, but it was rejected, sigh...

-- 
+  Maciej W. Rozycki, Technical University of Gdansk, Poland   +
+--------------------------------------------------------------+
+        e-mail: [email-masked], PGP key available        +

---

From: Jan-Benedict Glaw <[email-masked]>
Date: Mon, 24 Nov 2003 16:23:05 +0100

On Mon, 2003-11-24 15:18:11 +0000, [email-masked] <[email-masked]>
wrote in message <[email-masked]>:

> Log message:
> 	Merge with Linux "Stoned Beaver" 2.6.0-test10.
> 

Jehova!

Hiding, JBG

-- 
   Jan-Benedict Glaw       [email-masked]    . +49-172-7608481
   "Eine Freie Meinung in  einem Freien Kopf    | Gegen Zensur | Gegen Krieg
    fuer einen Freien Staat voll Freier Bürger" | im Internet! |   im Irak!
   ret = do_actions((curr | FREE_SPEECH) & ~(NEW_COPYRIGHT_LAW | DRM | TCPA));